org.apache.ignite.ml.tree.randomforest.data.impurity

## Class ImpurityHistogramsComputer.NodeImpurityHistograms<S extends ImpurityComputer<BootstrappedVector,S>>

- java.lang.Object
- - org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer.NodeImpurityHistograms<S>

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ImpurityHistogramsComputer<S extends ImpurityComputer<BootstrappedVector,S>>

      public static class ImpurityHistogramsComputer.NodeImpurityHistograms<S extends ImpurityComputer<BootstrappedVector,S>>
      extends Object
      implements Serializable

  Class represents per feature statistics for impurity computing.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeImpurityHistograms(NodeId nodeId)` Create an instance of NodeImpurityHistograms.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<NodeSplit>` | `findBestSplit()` Find best split point, based on feature statistics.
    `NodeId` | `getNodeId()`
    `ImpurityHistogramsComputer.NodeImpurityHistograms<S>` | `plus(ImpurityHistogramsComputer.NodeImpurityHistograms<S> other)` Store features statistics from other instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeImpurityHistograms

          public NodeImpurityHistograms(NodeId nodeId)

      Create an instance of NodeImpurityHistograms.
      Parameters:
        `nodeId` - Node id.

  - ### Method Detail

    - #### plus

          public ImpurityHistogramsComputer.NodeImpurityHistograms<S> plus(ImpurityHistogramsComputer.NodeImpurityHistograms<S> other)

      Store features statistics from other instance.
      Parameters:
        `other` - Other instance.

    - #### getNodeId

          public NodeId getNodeId()

    - #### findBestSplit

          public Optional<NodeSplit> findBestSplit()

      Find best split point, based on feature statistics.
      Returns:
        Best split point if it exists.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023